EnTT: entt::input_iterator_pointer< Type > Struct Template Reference

EnTT 3.16.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
entt::input_iterator_pointer< Type > Struct Template Referencefinal

Helper type to use as pointer with input iterators. More...

`#include <iterator.hpp>`

## Public Types
using | value_type = Type
| Value type.
using | pointer = Type *
| Pointer type.
using | reference = Type &
| Reference type.

## Public Member Functions
constexpr | input_iterator_pointer (value_type &&val) noexcept(std::is_nothrow_move_constructible_v< value_type >)
| Constructs a proxy object by move.
constexpr pointer | operator-> () noexcept
| Access operator for accessing wrapped values.
constexpr reference | operator* () noexcept
| Dereference operator for accessing wrapped values.

## Detailed Description

template<typename Type>
struct entt::input_iterator_pointer< Type >

Helper type to use as pointer with input iterators.

Template Parameters

  Type | of wrapped value.

Definition at line 16 of file iterator.hpp.

## Member Typedef Documentation

## ◆ pointer

template<typename Type>

using entt::input_iterator_pointer< Type >::pointer = Type *

Pointer type.

Definition at line 20 of file iterator.hpp.

## ◆ reference

template<typename Type>

using entt::input_iterator_pointer< Type >::reference = Type &

Reference type.

Definition at line 22 of file iterator.hpp.

## ◆ value_type

template<typename Type>

using entt::input_iterator_pointer< Type >::value_type = Type

Value type.

Definition at line 18 of file iterator.hpp.

## Constructor & Destructor Documentation

## ◆ input_iterator_pointer()

template<typename Type>

entt::input_iterator_pointer< Type >::input_iterator_pointer | ( | value_type && | val | ) |
| inlineconstexprnoexcept

Constructs a proxy object by move.

Parameters

  val | Value to use to initialize the proxy object.

Definition at line 28 of file iterator.hpp.

## Member Function Documentation

## ◆ operator*()

template<typename Type>

reference entt::input_iterator_pointer< Type >::operator* | ( |  | ) |
| inlinenodiscardconstexprnoexcept

Dereference operator for accessing wrapped values.

Returns
  A reference to the wrapped value.

Definition at line 43 of file iterator.hpp.

## ◆ operator->()

template<typename Type>

pointer entt::input_iterator_pointer< Type >::operator-> | ( |  | ) |
| inlinenodiscardconstexprnoexcept

Access operator for accessing wrapped values.

Returns
  A pointer to the wrapped value.

Definition at line 35 of file iterator.hpp.

The documentation for this struct was generated from the following file:

- src/entt/core/iterator.hpp